use rhai::plugin::*;

#[derive(Debug, Clone, Eq, PartialEq, Hash)]
pub enum SpriteAnchor {
	Center,
	NorthWest,
	SouthWest,
	NorthEast,
	SouthEast,
}

#[export_module]
pub mod spriteanchor_mod {
	#[allow(non_upper_case_globals)]
	pub const Center: SpriteAnchor = SpriteAnchor::Center;

	#[allow(non_upper_case_globals)]
	pub const NorthWest: SpriteAnchor = SpriteAnchor::NorthWest;

	#[allow(non_upper_case_globals)]
	pub const NorthEast: SpriteAnchor = SpriteAnchor::NorthEast;

	#[allow(non_upper_case_globals)]
	pub const SouthWest: SpriteAnchor = SpriteAnchor::SouthWest;

	#[allow(non_upper_case_globals)]
	pub const SouthEast: SpriteAnchor = SpriteAnchor::SouthEast;
}
